player_graphics2d_cmd_polygon Struct Reference

Command: Draw polygon (PLAYER_GRAPHICS2D_CMD_POLYGON) Draw a polygon. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | points_count
| Number of points in this packet. More...
player_point_2d_t * | points
| array of points defining the polygon. More...
player_color_t | color
| Color in which the outline should be drawn. More...
player_color_t | fill_color
| Color in which the polygon should be filled. More...
uint8_t | filled
| If non-zero, the polygon should be drawn filled, else empty. More...

## Detailed Description

Command: Draw polygon (PLAYER_GRAPHICS2D_CMD_POLYGON) Draw a polygon.

## Member Data Documentation

player_color_t player_graphics2d_cmd_polygon::color

Color in which the outline should be drawn.

player_color_t player_graphics2d_cmd_polygon::fill_color

Color in which the polygon should be filled.

uint8_t player_graphics2d_cmd_polygon::filled

If non-zero, the polygon should be drawn filled, else empty.

player_point_2d_t* player_graphics2d_cmd_polygon::points

array of points defining the polygon.

uint32_t player_graphics2d_cmd_polygon::points_count

Number of points in this packet.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45